Get specification versions

Use this API operation to get (a) specification version(s) for an analysis set.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
integer
required

The unique id of the analysis set. Selection lists have no specifications and are not supported by this operation.

This parameter is required and has no default.

Note: for historical reasons, this parameter is usually called maskid in AlisQI URLs. The API uses setId for consistency with the terminology used in the user interface.

string

The index field value. (This only applies to sets that have an index field.)

Get the current specification version for this index value. Index value matching is case-insensitive.

If the set has an index field and this parameter is left out, the current specification version of every index value is returned, keyed by index value.

Responses

indexValue:

  • For sets without an index field, or when indexValue is given: a specification version object, or null if there is no current specification version.

  • For sets with an index field and no indexValue: an object keyed by index value. Each value is the current specification version object for that index value, or null if there is none.

A specification version object has two properties: startDateTime and specs. The latter is an object with a property for each specification field (numeric or select type).

If the specification version is generic, a third property (generic) will be present. A generic specification version applies to all index values.

X-RateLimit-Retry-After.

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json